curl -X POST https://api.chargeapi.co/v1/webhook_endpoints/wh_BGEvrcAAB2Yh06o3XeLANGwlG0snV36F \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"description": "Primary webhook endpoint."
}'
{
"id": "wh_BGEvrcAAB2Yh06o3XeLANGwlG0snV36F",
"object": "webhook_endpoint",
"api_version": "2026-03-01",
"application": null,
"created": "2026-04-01T00:39:31.689Z",
"description": "Primary operations webhook endpoint.",
"enabled_events": ["report.succeeded", "reservation.confirmed", "vehicle.updated"],
"livemode": false,
"metadata": {},
"secret": "whsec_6L4qdzb6RZdAQIfxbo0rMbtLa5TZQEGP",
"status": "enabled",
"url": "https://example.com/webhook/endpoint"
}
Webhook Endpoints
Update a Webhook Endpoint
curl -X POST https://api.chargeapi.co/v1/webhook_endpoints/wh_BGEvrcAAB2Yh06o3XeLANGwlG0snV36F \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"description": "Primary webhook endpoint."
}'
{
"id": "wh_BGEvrcAAB2Yh06o3XeLANGwlG0snV36F",
"object": "webhook_endpoint",
"api_version": "2026-03-01",
"application": null,
"created": "2026-04-01T00:39:31.689Z",
"description": "Primary operations webhook endpoint.",
"enabled_events": ["report.succeeded", "reservation.confirmed", "vehicle.updated"],
"livemode": false,
"metadata": {},
"secret": "whsec_6L4qdzb6RZdAQIfxbo0rMbtLa5TZQEGP",
"status": "enabled",
"url": "https://example.com/webhook/endpoint"
}
Updates a webhook endpoint. Parameters you omit keep their current values.
curl -X POST https://api.chargeapi.co/v1/webhook_endpoints/wh_BGEvrcAAB2Yh06o3XeLANGwlG0snV36F \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"description": "Primary webhook endpoint."
}'
{
"id": "wh_BGEvrcAAB2Yh06o3XeLANGwlG0snV36F",
"object": "webhook_endpoint",
"api_version": "2026-03-01",
"application": null,
"created": "2026-04-01T00:39:31.689Z",
"description": "Primary operations webhook endpoint.",
"enabled_events": ["report.succeeded", "reservation.confirmed", "vehicle.updated"],
"livemode": false,
"metadata": {},
"secret": "whsec_6L4qdzb6RZdAQIfxbo0rMbtLa5TZQEGP",
"status": "enabled",
"url": "https://example.com/webhook/endpoint"
}
Parameters
array of string
Full list of event types to subscribe to.
string
Enable or disable delivery of events.Available options:
enabled, disabledMore parameters
string
New description for the endpoint.
object
Set of key-value pairs that you can attach to an object.

